Package ru.bitel.bgbilling.modules.subscription.server.bean

# Class CostSumTime

java.lang.Object
bitel.billing.server.contract.bean.CostSum
ru.bitel.bgbilling.modules.subscription.server.bean.CostSumTime

public class CostSumTime extends CostSum
Бин, который хранит наработку договора по определенной услуге в определенное время. Является наследником `CostSum`

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.contract.bean.CostSum

  `contractId, cost, serviceId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CostSumTime(int id, int contractId, int serviceId, BigDecimal cost, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateTime()`
  Получение даты и времени начисления
  `int`
  `getId()`
  Получение кода записи о начислении в БД в пределах месячной таблицы с детализацией.
  `void`
  `setDateTime(Date dateTime)`
  Установка даты и времени начисления
  `void`
  `setId(int id)`
  Установка кода записи о начислении в БД.
  `String`
  `toString()`

  ### Methods inherited from class bitel.billing.server.contract.bean.CostSum

  `getKey`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CostSumTime

    public CostSumTime(int id, int contractId, int serviceId, BigDecimal cost, Date date)

- ## Method Details

  - ### getId

    public int getId()
    Получение кода записи о начислении в БД в пределах месячной таблицы с детализацией.
    Returns:
      код записи

  - ### setId

    public void setId(int id)
    Установка кода записи о начислении в БД.
    Parameters:
      `id` - код записи

  - ### getDateTime

    public Date getDateTime()
    Получение даты и времени начисления
    Returns:

  - ### setDateTime

    public void setDateTime(Date dateTime)
    Установка даты и времени начисления
    Parameters:
      `dateTime` - дата/время начисления

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CostSum`